EC_LOG_LEVEL_SET(3)

NAME
ec_log_level_set - Set the global log level.

SYNOPSIS
#include <ecoli/log.h>

int ec_log_level_set(
    enum ec_log_level  level   /* The log level to be set. */
);

DESCRIPTION

This level is used by the default log handler, ec_log_default_cb(). All messages that are at least as critical as the default level are displayed.

STRUCTURES

enum ec_log_level {

      EC_LOG_EMERG;

      EC_LOG_ALERT;

      EC_LOG_CRIT;

      EC_LOG_ERR;

      EC_LOG_WARNING;

      EC_LOG_NOTICE;

      EC_LOG_INFO;

      EC_LOG_DEBUG;
};

RETURN VALUE

0 on success, -1 on error.

SEE ALSO

ec_log_fct_register(3), ec_vlog(3), ec_log_level_get(3), ec_log_name(3), ec_log(3), ec_log_default_cb(3), ec_log_type_register(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.